Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl.fixedfunc
Interface GLLightingFunc

All Known Subinterfaces:
  GL2, GL2ES1, GLES1

All Known Implementing Classes:
  DebugGL2, DebugGL2ES1, DebugGLES1, FixedFuncHook, FixedFuncImpl, TraceGL2, TraceGL2ES1, TraceGLES1

    public interface GLLightingFunc

Field Summary
`static int` | `GL_AMBIENT`
`static int` | `GL_AMBIENT_AND_DIFFUSE`
`static int` | `GL_COLOR_MATERIAL`
`static int` | `GL_CONSTANT_ATTENUATION`
`static int` | `GL_DIFFUSE`
`static int` | `GL_EMISSION`
`static int` | `GL_FLAT`
`static int` | `GL_LIGHT0`
`static int` | `GL_LIGHT1`
`static int` | `GL_LIGHT2`
`static int` | `GL_LIGHT3`
`static int` | `GL_LIGHT4`
`static int` | `GL_LIGHT5`
`static int` | `GL_LIGHT6`
`static int` | `GL_LIGHT7`
`static int` | `GL_LIGHTING`
`static int` | `GL_LINEAR_ATTENUATION`
`static int` | `GL_NORMALIZE`
`static int` | `GL_POSITION`
`static int` | `GL_QUADRATIC_ATTENUATION`
`static int` | `GL_SHININESS`
`static int` | `GL_SMOOTH`
`static int` | `GL_SPECULAR`
`static int` | `GL_SPOT_CUTOFF`
`static int` | `GL_SPOT_DIRECTION`
`static int` | `GL_SPOT_EXPONENT`

Method Summary
`void` | `glColor4f(float red, float green, float blue, float alpha)`
`void` | `glLightfv(int light, int pname, float[] params, int params_offset)`
`void` | `glLightfv(int light, int pname, FloatBuffer params)`
`void` | `glMaterialf(int face, int pname, float param)`
`void` | `glMaterialfv(int face, int pname, float[] params, int params_offset)`
`void` | `glMaterialfv(int face, int pname, FloatBuffer params)`
`void` | `glShadeModel(int mode)`

Field Detail

### GL_LIGHT0

    static final int GL_LIGHT0

See Also:
  Constant Field Values

### GL_LIGHT1

    static final int GL_LIGHT1

See Also:
  Constant Field Values

### GL_LIGHT2

    static final int GL_LIGHT2

See Also:
  Constant Field Values

### GL_LIGHT3

    static final int GL_LIGHT3

See Also:
  Constant Field Values

### GL_LIGHT4

    static final int GL_LIGHT4

See Also:
  Constant Field Values

### GL_LIGHT5

    static final int GL_LIGHT5

See Also:
  Constant Field Values

### GL_LIGHT6

    static final int GL_LIGHT6

See Also:
  Constant Field Values

### GL_LIGHT7

    static final int GL_LIGHT7

See Also:
  Constant Field Values

### GL_LIGHTING

    static final int GL_LIGHTING

See Also:
  Constant Field Values

### GL_AMBIENT

    static final int GL_AMBIENT

See Also:
  Constant Field Values

### GL_DIFFUSE

    static final int GL_DIFFUSE

See Also:
  Constant Field Values

### GL_SPECULAR

    static final int GL_SPECULAR

See Also:
  Constant Field Values

### GL_POSITION

    static final int GL_POSITION

See Also:
  Constant Field Values

### GL_SPOT_DIRECTION

    static final int GL_SPOT_DIRECTION

See Also:
  Constant Field Values

### GL_SPOT_EXPONENT

    static final int GL_SPOT_EXPONENT

See Also:
  Constant Field Values

### GL_SPOT_CUTOFF

    static final int GL_SPOT_CUTOFF

See Also:
  Constant Field Values

### GL_CONSTANT_ATTENUATION

    static final int GL_CONSTANT_ATTENUATION

See Also:
  Constant Field Values

### GL_LINEAR_ATTENUATION

    static final int GL_LINEAR_ATTENUATION

See Also:
  Constant Field Values

### GL_QUADRATIC_ATTENUATION

    static final int GL_QUADRATIC_ATTENUATION

See Also:
  Constant Field Values

### GL_EMISSION

    static final int GL_EMISSION

See Also:
  Constant Field Values

### GL_SHININESS

    static final int GL_SHININESS

See Also:
  Constant Field Values

### GL_AMBIENT_AND_DIFFUSE

    static final int GL_AMBIENT_AND_DIFFUSE

See Also:
  Constant Field Values

### GL_COLOR_MATERIAL

    static final int GL_COLOR_MATERIAL

See Also:
  Constant Field Values

### GL_NORMALIZE

    static final int GL_NORMALIZE

See Also:
  Constant Field Values

### GL_FLAT

    static final int GL_FLAT

See Also:
  Constant Field Values

### GL_SMOOTH

    static final int GL_SMOOTH

See Also:
  Constant Field Values

Method Detail

### glLightfv

    void glLightfv(int light,
                   int pname,
                   FloatBuffer params)

### glLightfv

    void glLightfv(int light,
                   int pname,
                   float[] params,
                   int params_offset)

### glMaterialf

    void glMaterialf(int face,
                     int pname,
                     float param)

### glMaterialfv

    void glMaterialfv(int face,
                      int pname,
                      FloatBuffer params)

### glMaterialfv

    void glMaterialfv(int face,
                      int pname,
                      float[] params,
                      int params_offset)

### glColor4f

    void glColor4f(float red,
                   float green,
                   float blue,
                   float alpha)

### glShadeModel

    void glShadeModel(int mode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.